> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Funding Deposit Address

> Claim a deposit address for a funding method. This generates an address for receiving funds.

**API Key Permissions Required:** `Funds permissions - Deposit`



## OpenAPI

````yaml /openapi/funding-beta.yaml put /funding/v1/deposit/address
openapi: 3.0.0
info:
  title: Funding REST API (Beta)
  version: 1.0.0
  description: >-
    Beta Funding e-API endpoints for deposits, withdrawals, addresses, methods,
    limits, and fees.
servers:
  - url: https://api.kraken.com
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
    API-Nonce: []
  - API-Key: []
    API-Sign: []
    API-Nonce: []
    API-OTP: []
tags:
  - name: funding-beta
    x-group: Funding (Beta)
paths:
  /funding/v1/deposit/address:
    put:
      tags:
        - funding-beta
      summary: Claim Funding Deposit Address
      description: >-
        Claim a deposit address for a funding method. This generates an address
        for receiving funds.


        **API Key Permissions Required:** `Funds permissions - Deposit`
      operationId: claimFundingDepositAddressV1
      parameters:
        - in: query
          name: account_id
          description: Account ID
          schema:
            type: string
          x-selected-account: true
          style: form
      requestBody:
        content:
          application/json:
            schema:
              description: >-
                Request to claim a deposit address for a specific funding
                method.

                This generates a deposit address for receiving funds.
              type: object
              properties:
                method_id:
                  description: Funding method to claim a deposit address for.
                  type: string
                  pattern: ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$
              example:
                method_id: 27ede8db-804b-4d91-8e25-46b7b9668730
            example:
              method_id: 27ede8db-804b-4d91-8e25-46b7b9668730
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                description: >-
                  Response containing the details of the claimed deposit
                  address.
                type: object
                properties:
                  address_details:
                    oneOf:
                      - type: object
                        properties:
                          crypto:
                            description: Crypto deposit address details.
                            type: object
                            properties:
                              address:
                                description: Crypto address.
                                type: string
                              tag:
                                description: Tag associated with the address.
                                type: string
                              memo:
                                description: Memo associated with the address.
                                type: string
                            required:
                              - address
                        title: crypto
                      - type: object
                        properties:
                          fiat:
                            description: Fiat deposit address details.
                            type: object
                            properties:
                              account:
                                description: Bank account number.
                                type: string
                              account_type:
                                description: Bank account type.
                                type: string
                              address:
                                description: Bank or wallet address.
                                type: string
                              bank:
                                description: Bank name.
                                type: string
                              bank_code:
                                description: Bank code.
                                type: string
                              bic:
                                description: Bank identifier code (BIC).
                                type: string
                              branch:
                                description: Bank branch.
                                type: string
                              bank_address:
                                description: Bank address.
                                type: string
                              bsb:
                                description: Bank State Branch (BSB) code.
                                type: string
                              iban:
                                description: International Bank Account Number (IBAN).
                                type: string
                              memo:
                                description: Payment memo.
                                type: string
                              name_on_account:
                                description: Account holder name.
                                type: string
                              routing:
                                description: Bank routing number.
                                type: string
                              sort:
                                description: Bank sort code.
                                type: string
                              swift:
                                description: SWIFT code.
                                type: string
                              tag:
                                description: Destination tag.
                                type: string
                              transit:
                                description: Bank transit number.
                                type: string
                        title: fiat
              example:
                address_details:
                  crypto:
                    address: AikyzpZZcNAeovd6XnyEaEe6YB1tPKkXZF37rUWD...
      security:
        - API-Key: []
          API-Sign: []
          API-Nonce: []
        - API-Key: []
          API-Sign: []
          API-Nonce: []
          API-OTP: []
components:
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header
    API-Nonce:
      type: apiKey
      description: >-
        The "API-Nonce" header should contain an always-increasing 64-bit
        integer, most commonly a Unix timestamp in milliseconds. Each request
        must use a nonce greater than the nonce of the previous request signed
        with the same API key.
      name: API-Nonce
      in: header
    API-OTP:
      type: apiKey
      description: >-
        The "API-OTP" header should contain your two-factor authentication
        one-time password. Required only if 2FA is configured for the API key.
      name: API-OTP
      in: header

````